Amazon Seller Feedback
Amazon Seller Feedback returns customer reviews left for a given Amazon seller. Each page returns up to 5 records, so use the page parameter and the pagination.has_next_page flag to iterate.
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Your SERP API key (shared with Amazon). |
engine | string | yes | Must be amazon. |
type | string | yes | Must be seller_feedback. |
seller_id | string | yes | The Amazon seller ID (for example, AAZRLVTNON75Z). |
domain | string | no | Marketplace domain, default amazon.com. |
device | desktop | mobile | no | Simulated device. |
page | integer | no | Results page number. Use with pagination.has_next_page. |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_feedback', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z" }, "seller_feedback": [ { "rater": "Jorge balarezo", "rating": 5, "has_response": false, "body": "Tiene un perfume muy agradable, siempre lo uso lo recomiendo.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 1 }, { "rater": "Sarah M.", "rating": 5, "body": "Great service", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 2 }, { "rater": "Chad H.", "rating": 1, "body": "Product was different than advertised.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 4 } ], "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}